<?php
    switch ($sf_context->getActionName()) {
        case "list":
          $StatusSelected = $sf_params->get('filters');
          if(isset($StatusSelected['pr_status']))
              $StatusSelected = $StatusSelected['pr_status'];
          echo select_tag('filters[pr_status]', options_for_select(
            array(
              ''=>'',
              '0'=>__('Enable'),
              '1'=>__('Censored'),
              '2'=>__('Deleted'),
              '3'=>__('Converting'),
              '4'=>__('Convert failed')
              ),
              $StatusSelected
            )
          );
          break;
        case "edit":
          echo select_tag('tblpresentation[pr_status]', options_for_select(
            array(
              ''=>'',
              '0'=>__('Enable'),
              '1'=>__('Censored'),
              '2'=>__('Deleted'),
              '3'=>__('Converting'),
              '4'=>__('Convert failed')
              ),
              $tblpresentation->getPrStatus()
            )
          );
          break;
    }
?>